Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

exportBackupToObjectStorage

Prev Next

Available in VPC

Send Cloud DB for PostgreSQL instance backup files to Object Storage.
To send backup files to Object Storage, Object Storage buckets for storing and searching backup files must be created in advance. For more information, see the Object Storage Guide.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vpostgresql/v2/exportBackupToObjectStorage
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for PostgreSQL instance whose backup file you want to send to Object Storage
  • Check through getRegionList
  • First Region of the getRegionList query result (default)
fileName String Required Backup fie name
bucketName String Required Name of the Object Storage bucket the backup file will be sent to
cloudPostgresqlInstanceNo String Required Cloud DB for PostgreSQL instance number
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/exportBackupToObjectStorage
?regionCode=KR
&fileName=20210528
&bucketName=bucket***
&cloudPostgresqlInstanceNo=****925' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json
{
    "exportBackupToObjectStorageResponse": {
        "requestId": "5ee62bcc-****-****-****-b826ca85ef50",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<exportBackupToObjectStorageResponse>
    <requestId>5ee62bcc-****-****-****-b826ca85ef50</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
</exportBackupToObjectStorageResponse>